extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.form-group.col-12
      app-fw-articulo-cabecera([(Articulo)]="tArticuloActual",
                              [BloquearBuscar]="tBloquearBuscar",
                              [Editar]="tEditar",
                              (Buscar)="BuscarArticulo($event)",
                              (AbrirModal)="AbrirModalArticulos()")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true")#Informacion-tab.nav-link.active Información
        li.nav-item
          a(data-toggle="tab",
              href="#Clasificacion",
              role="tab",
              aria-controls="Clasificacion",
              aria-selected="true")#Clasificacion-tab.nav-link Clasificación
        li.nav-item
          a(data-toggle="tab",
              href="#Imagenes",
              role="tab",
              aria-controls="Imagenes",
              aria-selected="true")#Imagenes-tab.nav-link Imagenes
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-articulo-detalles-informacion(#DetallesInfo="",
                                                [(Articulo)]="tArticuloActual",
                                                [Empresa]="tEmpresaActual",
                                                [Vprecio1]="tVprecio1",
                                                [Vprecio2]="tVprecio2",
                                                [Vprecio3]="tVprecio3",
                                                [VprecioLista]="tVprecioLista",
                                                [Tipos]="tTipos",
                                                [Unidades]="tUnidades",
                                                [Colores]="tColores")#DetallesInfo
        div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade#Clasificacion
          app-fw-articulo-detalles-clasificacion(#DetallesClas="",
                                                [(Articulo)]="tArticuloActual",
                                                [Clasificaciones1]="tClasificaciones1",
                                                [Fabricantes]="tFabricantes")#DetallesClas
        div(role="tabpanel", aria-labelledby="Imagenes-tab").tab-pane.fade#Imagenes
          app-fw-articulo-detalles-imagenes([(Imagenes)]="tArticuloActual.LImagenes",
                                            [(ManejarImagen)]="tManejarImagen",
                                            [Tipos]="tTiposImagenes",
                                            [Configuracion]="tConfiguracion",
                                            (CargarImagen)="CargarImagenes($event)",
                                            (EliminarImagen)="EliminarImagenes($event)")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar
